totptool
========

Tooling for generating and managing large numbers of TOTP secrets.

```console
$ totptool
Usage: totptool [options] <command> [args]

Options:
    -h --help       Show this screen
    -r --root:path  Use path as the totp root for secrets
    -v --version    Show version of totptool

Subcommands:
    code <name>
                    Generate a two-factor auth code for <name>

    gen <name>
                    Generate a new two-factor auth secret for
                    <name>

    ls
                    List all the names of the secrets that
                    totptool tracks
```

Because I wrote this for me and I can say whatever I want as the arbitrary
demands, I have it storing all TOTP secrets in my common synced folder
`~/life`. Edit the code or use `--root` to change this.

Lifecycle
---------

`totptool gen <name>` -> `totptool code <name>`

```console
$ totptool code $(totptool ls | dmenu) | xclip -sel clip
```
